#include <CONIO.H>
#include <STDIO.H>
#include <STDLIB.H>
#include "I2C400.H"

#include <time.H>



void main()
{
	int Adr;
	int Ret;
	time_t t1,t2;
	unsigned long int i;


	printf ("\n ::: I2C Bus Scanner ::: \n\n");

	printf ("%x",inportb(I2CSTA));

	// Initilize the board

	I2C_Config(Clock_Freq_88);		// Set the frequency

	if (I2C_Init()==-1)				// Initilize the board
	{
		printf ("Error while initializing the board\n\n");
		exit (-1);
	}



	I2C_Write (0x44,0xF7);



	t1 = time(NULL);



//	for (i=0;i<1000000;i++)
	while (!kbhit())
	{
		Ret=I2C_Read (0x45);
		printf ("%x\n",Ret);
		if (Ret<0)
		{
			printf ("Error %d ",Ret);
			printf ("%x ",inportb(I2CSTA));
 //			exit(0);
		}

	}
	t2 = time(NULL);
	printf("Duration :%ld s\n",t2-t1);


	// Scan for the 256 possible adresses


	for (Adr=0;Adr<=0xFF;Adr++)
	{
		Ret=I2C_Write (Adr,0x00);
		if (Ret==0) printf ("Slave found at 0x%x(%d)\n",Adr,Adr,Ret);
	}

	getch();
}


